org.keycloak.events.jpa

## Class EventEntity

- java.lang.Object
- - org.keycloak.events.jpa.EventEntity

-     @Entity
      public class EventEntity
      extends Object

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClientId()`
    `String` | `getDetailsJson()`
    `String` | `getError()`
    `String` | `getId()`
    `String` | `getIpAddress()`
    `String` | `getRealmId()`
    `String` | `getSessionId()`
    `long` | `getTime()`
    `String` | `getType()`
    `String` | `getUserId()`
    `void` | `setClientId(String clientId)`
    `void` | `setDetailsJson(String detailsJson)`
    `void` | `setError(String error)`
    `void` | `setId(String id)`
    `void` | `setIpAddress(String ipAddress)`
    `void` | `setRealmId(String realmId)`
    `void` | `setSessionId(String sessionId)`
    `void` | `setTime(long time)`
    `void` | `setType(String type)`
    `void` | `setUserId(String userId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventEntity

          public EventEntity()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getTime

          public long getTime()

    - #### setTime

          public void setTime(long time)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

    - #### getUserId

          public String getUserId()

    - #### setUserId

          public void setUserId(String userId)

    - #### getSessionId

          public String getSessionId()

    - #### setSessionId

          public void setSessionId(String sessionId)

    - #### getIpAddress

          public String getIpAddress()

    - #### setIpAddress

          public void setIpAddress(String ipAddress)

    - #### getError

          public String getError()

    - #### setError

          public void setError(String error)

    - #### getDetailsJson

          public String getDetailsJson()

    - #### setDetailsJson

          public void setDetailsJson(String detailsJson)

Copyright © 2021 JBoss by Red Hat. All rights reserved.